
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_warehouse_order")]
    public class WcsWarehouseOrderModel
    {
        [Column("OBJID")]
        public Guid objid { get; set; }

        /// <summary>
        /// wms申请单id
        /// </summary>
        [Column("WMS_ORDER_ID")]
        public string wmsOrderId { get; set; }

        /// <summary>
        /// 单据类型(1 入库 2 出库 3 移库)
        /// </summary>
        [Column("ORDER_TYPE")]
        public int? orderType { get; set; }

        /// <summary>
        /// 所属楼层
        /// </summary>
        [Column("FLOOR_NUM")]
        public int? floorNum { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Column("QTY")]
        public int? qty { get; set; }

        /// <summary>
        /// 单据状态(0 创建订单 1 订单执行中 2 订单完成)
        /// </summary>
        [Column("ORDER_STATUS")]
        public int? orderStatus { get; set; }

        /// <summary>
        /// 起始点编号
        /// </summary>
        [Column("ORDER_TIME")]
        public string orderTime { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("USE_FLAG")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("CREATE_BY")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("CREATE_TIME")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("UPDATE_BY")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("UPDATE_TIME")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("UD1")]
        public string ud1 { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("UD2")]
        public string ud2 { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("UD3")]
        public string ud3 { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("REMARK")]
        public string remark { get; set; }
    }
}

